/*
**    Projet etudiants CPE Lyon
**    Copyright (C) 2012 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



#include <Qt/QtGui>
#include <window.hpp>
#include <glwidget.hpp>
#include <QString>

#include <ui_mainwindow.h>

#include <iostream>

Window::Window(QWidget *parent)
  :QMainWindow(parent),ui(new Ui::MainWindow)
{
  ui->setupUi(this); //l'interface graphique realisee avec QtDesigner
  glWidget = new glwidget; //fenetre openGL
  ui->layout_scene->addWidget(glWidget); //ajout de la fenetre OpenGL
  glWidget->p_window=this; //recuperation du pointeur dans la fenetre OpenGL
 
  //gestion des signaux
  connect(ui->actionExit,SIGNAL(triggered()),this,SLOT(quit_window())); //signal pour quitter
  connect(ui->bouton_plaisant,SIGNAL(clicked()),this,SLOT(appuis_sur_le_bouton())); //appuis sur un bouton
  connect(ui->texture_checkbox,SIGNAL(clicked()),this,SLOT(texture_clicked())); //appuis sur le bouton texture

}

Window::~Window()
{
  if(ui!=0)
    {
      delete ui;
      ui=0;
    }
}

void Window::quit_window()
{
  std::cout<<"Exit window"<<std::endl;
  this->window()->close();
}

void Window::texture_clicked()
{
    bool est_actif=ui->texture_checkbox->isChecked(); //regarde si le bouton est clicke
    glWidget->current_scene.set_affichage_texture(est_actif); //modifie la variable dans scene
    glWidget->updateGL(); //reaffiche le resultat

}
void Window::appuis_sur_le_bouton()
{
    std::cout<<"Je detecte l'appuis sur le bouton ici: "<<__PRETTY_FUNCTION__<<" ligne: "<<__LINE__<<" a "<<QTime::currentTime().toString("hh:mm:ss").toStdString()<<std::endl;
}
